Bug 16952 - gcc runs out of memory building kdelibs2
Summary: gcc runs out of memory building kdelibs2
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-25 17:29 UTC by Gene Czarcinski
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-08 17:53:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the spec file I used (9.20 KB, text/plain)
2000-08-25 17:31 UTC, Gene Czarcinski
no flags Details

Description Gene Czarcinski 2000-08-25 17:29:02 UTC
I was attempting to build and updated (1.93) kdelibs2 when the compiler
crashed because it ran out of memory (filled the swap space).

Here are the messages I got at the end:

Making all in mcopidl
make[3]: Entering directory
`/usr/src/redhat/BUILD/kdelibs-1.93/arts/mcopidl'
g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../dcop -I../../kdecore
-I../../kdeui -I/usr/lib/qt-2.2.0/include -I/usr/X11R6/include
-I/usr/lib/kde2/include  -I./../mcop    -O2 -march=i386 -mcpu=i686
-DNDEBUG  -c mcopidl.cc
g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../dcop -I../../kdecore
-I../../kdeui -I/usr/lib/qt-2.2.0/include -I/usr/X11R6/include
-I/usr/lib/kde2/include  -I./../mcop    -O2 -march=i386 -mcpu=i686
-DNDEBUG  -c yacc.cc
g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../dcop -I../../kdecore
-I../../kdeui -I/usr/lib/qt-2.2.0/include -I/usr/X11R6/include
-I/usr/lib/kde2/include  -I./../mcop    -O2 -march=i386 -mcpu=i686
-DNDEBUG  -c scanner.cc
g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../dcop -I../../kdecore
-I../../kdeui -I/usr/lib/qt-2.2.0/include -I/usr/X11R6/include
-I/usr/lib/kde2/include  -I./../mcop    -O2 -march=i386 -mcpu=i686
-DNDEBUG  -c namespace.cc

Cannot allocate 8693792 bytes after allocating 8070652 bytes
make[3]: *** [mcopidl.o] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/kdelibs-1.93/arts/mcopidl'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/kdelibs-1.93/arts'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/kdelibs-1.93'
make: *** [all-recursive-am] Error 2
Bad exit status from /var/tmp/rpm-tmp.16676 (%build

Comment 1 Gene Czarcinski 2000-08-25 17:31:00 UTC
Created attachment 3002 [details]
This is the spec file I used

Comment 2 Jakub Jelinek 2000-12-19 18:44:21 UTC
Sorry for getting to this late.
Is this still an issue (we build kdelibs quite often here without any problems)?
How much virtual memory did you have? Weren't you by chance running make -j N
where N > 1? The messages suggest that (because it dies on mcopidl.o which
is the first command, not the last).

Comment 3 Michael Fulbright 2001-02-08 17:53:12 UTC
Closing due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.